package com.zanxiang.game.back.serve.pojo.dto;

import com.zanxiang.game.back.serve.pojo.entity.GameBackPolicy;
import com.zanxiang.game.back.serve.pojo.entity.GameOceanengineUserLog;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 头条订单上报日志
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOceanengineUserLogDTO extends BaseListDTO<GameOceanengineUserLog> {
    @ApiModelProperty("小游戏ID")
    private String appId;

    @ApiModelProperty("用户OpenID")
    private String openId;

    @ApiModelProperty("游戏ID")
    private Long gameId;

    @ApiModelProperty("广告账号ID")
    private Long accountId;

    @ApiModelProperty("渠道标识")
    private String agentKey;

    @ApiModelProperty("头条2.0-项目ID")
    private Long projectId;

    @ApiModelProperty("头条2.0-广告ID")
    private Long promotionId;

    @ApiModelProperty("回传状态")
    private Integer backStatus;
}
