package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.back.serve.pojo.dto.GameTencentUserDTO;
import com.zanxiang.game.back.serve.pojo.entity.GameTencentUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.back.serve.pojo.vo.GameTencentUserVO;

import java.util.List;

/**
 * <p>
 * 游戏腾讯用户表 服务类
 * </p>
 *
 * @author auto
 * @since 2023-06-01
 */
public interface IGameTencentUserService extends IService<GameTencentUser> {

    IPage<GameTencentUserVO> tencentUserLogList(GameTencentUserDTO dto);

    boolean tencentUserReport(List<Long> ids);
}
