package com.zanxiang.game.data.serve.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zanxiang.game.data.serve.pojo.entity.GameUser;
import com.zanxiang.game.data.serve.pojo.vo.GameRankingRechargeUserVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * t_game_user Mapper 接口
 * </p>
 *
 * @author auto
 * @since 2022-12-08
 */
public interface GameUserMapper extends BaseMapper<GameUser> {

    GameRankingRechargeUserVO getTodayGameUserRecharge(@Param("userId") Long userId, @Param("regAgent") String regAgent, @Param("sysUserId") Long sysUserId);
}
