package com.zanxiang.game.data.serve.pojo.base;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BasePage<T> {
    @ApiModelProperty(notes = "页码")
    private Integer pageNum;

    @ApiModelProperty(notes = "分页大小")
    private Integer pageSize;

    @ApiModelProperty(notes = "投手id")
    private Long sysUserId;

    @ApiModelProperty(notes = "公司id")
    private Long companyId;

    /**
     * 构造方法
     *
     * @return : 返回分页对象
     */
    public IPage<T> toPage() {
        return new Page<>(pageNum, pageSize);
    }
}
