package com.zanxiang.game.data.serve.pojo.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameOverallDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String nickName;

    private String promoteAccount;

    private String agent;

    private String promoteGame;

    private LocalDate startDay;

    private LocalDate endDay;
}
