package com.zanxiang.game.data.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * t_promote_agent
 * </p>
 *
 * @author auto
 * @since 2022-12-29
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_promote_agent")
public class PromoteAgent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 渠道id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 投手 id
     */
    private Long sysUserId;

    /**
     * 广告账号
     */
    private String accountId;

    /**
     * 游戏 id
     */
    private Long gameId;

    /**
     * 渠道标识（唯一）
     */
    private String agentKey;

    /**
     * 渠道名称
     */
    private String agentName;

    /**
     * 账号是否可用：0不可用 1可用
     */
    private Integer enabled;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 推广媒体
     */
    private String promoteMedia;


}
