package com.zanxiang.game.data.serve.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigInteger;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

/**
 * <p>
 * t_sys_user
 * </p>
 *
 * @author auto
 * @since 2022-12-29
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("t_sys_user")
public class SysUser implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 投手id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 公司 id
     */
    private Long companyId;

    /**
     * 投手昵称
     */
    private String nickname;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 项目组
     */
    private String projectTeam;


}
