package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "付费趋势")
public class RechargeTrendVO {
    @ApiModelProperty(notes = "充值人数")
    private Long rechargeCount;

    @ApiModelProperty(notes = "充值金额")
    private BigDecimal rechargeMoney;

    @ApiModelProperty(notes = "增=当天回本 - 上一天回本")
    private BigDecimal addPayBack;

    @ApiModelProperty(notes = "回=当天充值/总消耗")
    private BigDecimal payBack;

    @ApiModelProperty(notes = "倍=新用户总充值/第一天的新用户充值")
    private BigDecimal newUserRechargeRate;
}
