package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "留存率")
public class RetentionTrendVO {
    @ApiModelProperty(notes = "注册用户留存率=（当天新增的用户中，在注册的第n天还登录的用户数）/新增总用户数")
    private BigDecimal regUserRetentionRate;

    @ApiModelProperty(notes = "付费留存率=（当天新增的用户中，在注册的第2天还登录的用户数）/总付费用户数")
    private BigDecimal rechargeUserRetentionRate;
}
