package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class TotalDataVO {
    @ApiModelProperty(notes = "总计订单金额")
    private BigDecimal totalAmount;

    @ApiModelProperty(notes = "总计订单实付金额")
    private BigDecimal totalRealAmount;
}
