package com.zanxiang.game.data.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zanxiang.game.data.serve.pojo.dto.GameRankingDTO;
import com.zanxiang.game.data.serve.pojo.entity.Game;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.data.serve.pojo.vo.GameConditionVO;
import com.zanxiang.game.data.serve.pojo.vo.GameRankingRechargeGameVO;

import java.util.List;

/**
 * <p>
 * t_game 服务类
 * </p>
 *
 * @author auto
 * @since 2022-12-08
 */
public interface IGameService extends IService<Game> {
    /**
     * 游戏充值排行榜
     * @param dto
     * @return
     */
    IPage<GameRankingRechargeGameVO> getGameRechargeRank(GameRankingDTO dto);

    List<GameConditionVO> getList();
}
