package com.zanxiang.game.data.serve.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.data.serve.pojo.dto.GameRankingDTO;
import com.zanxiang.game.data.serve.pojo.entity.GameUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.data.serve.pojo.vo.GameConditionVO;
import com.zanxiang.game.data.serve.pojo.vo.GameRankingRechargeUserVO;

import java.util.List;

/**
 * <p>
 * t_game_user 服务类
 * </p>
 *
 * @author auto
 * @since 2022-12-08
 */
public interface IGameUserService extends IService<GameUser> {

    IPage<GameRankingRechargeUserVO> getUserRechargeRank(GameRankingDTO dto);

    List<GameConditionVO> getList();
}
