package com.zanxiang.game.module.manage.pojo.params;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-06-28
 * @description : ip封禁添加参数
 */
@Data
public class IpBanAddParam {

    /**
     * ip列表
     */
    @NotEmpty(message = "ip列表不可为空")
    private List<String> ipList;
}
