package com.zanxiang.game.back.base.pojo.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class GameBackPolicyRpcVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 回传策略名
     */
    private String backPolicyName;

    /**
     * 首充金额（小于等于指定金额）
     */
    private Long firstRechargeMoney;

    /**
     * 首充回传比例（例如：50%-->0.5)
     */
    private BigDecimal firstRechargeBackPercentage;

    /**
     * 大单金额（大于等于指定金额）
     */
    private Long bigRechargeMoney;

    /**
     * 大单回传比例（例如：50%-->0.5)
     */
    private BigDecimal bigRechargeBackPercentage;

    /**
     * 其他回传比例（例如：50%-->0.5)
     */
    private BigDecimal otherRechargeBackPercentage;

    /**
     * 降档级别
     */
    private Integer levelDown;
}
