package com.zanxiang.game.back.serve.pojo.dto;

import com.zanxiang.game.back.serve.pojo.entity.GameBackPolicy;
import com.zanxiang.game.back.serve.pojo.entity.GameTencentUser;
import com.zanxiang.module.web.pojo.BaseListDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * 游戏腾讯用户表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameTencentUserDTO extends BaseListDTO<GameTencentUser> {
    @ApiModelProperty("渠道号")
    private String channel;

    @ApiModelProperty("游戏ID")
    private Long gameId;

    @ApiModelProperty("广告账号ID")
    private Long adAccountId;

    @ApiModelProperty("openid")
    private String wechatOpenid;

    @ApiModelProperty("appid")
    private String wechatAppId;

    @ApiModelProperty("回传状态")
    private Integer isBack;
}
