package com.zanxiang.game.data.serve.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.data.serve.pojo.dto.GameOrderDetailDTO;
import com.zanxiang.game.data.serve.pojo.vo.GameOrderDetailVO;
import com.zanxiang.game.data.serve.pojo.vo.GameRankingRechargeUserVO;
import com.zanxiang.game.data.serve.service.IGameOrderService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "订单")
@RestController
@RequestMapping("/game/order")
public class GameOrderController {
    @Autowired
    private IGameOrderService gameOrderService;

    @ApiOperation(value = "订单明细")
    @PutMapping("/detail")
    public ResultVO<GameOrderDetailVO> detail(@RequestBody GameOrderDetailDTO dto) {
        return ResultVO.ok(gameOrderService.getOrderDetail(dto));
    }
}
