package com.zanxiang.game.data.serve.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteDTO;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteVO;
import com.zanxiang.game.data.serve.service.IPromoteAgentStatDayService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "推广")
@RestController
@RequestMapping("/game/promote")
public class GamePromoteController {
    @Autowired
    private IPromoteAgentStatDayService agentStatDayService;

    @ApiOperation(value = "推广每日数据")
    @PutMapping("/day/data")
    public ResultVO<IPage<GamePromoteVO>> dayData(@RequestBody GamePromoteDTO dto) {
        return ResultVO.ok(agentStatDayService.getDayData(dto));
    }
}
