package com.zanxiang.game.data.serve.dao.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.data.serve.pojo.dto.GameRankingDTO;
import com.zanxiang.game.data.serve.pojo.entity.Game;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zanxiang.game.data.serve.pojo.vo.GameRankingRechargeGameVO;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;

/**
 * <p>
 * t_game Mapper 接口
 * </p>
 *
 * @author auto
 * @since 2022-12-08
 */
public interface GameMapper extends BaseMapper<Game> {

    IPage<GameRankingRechargeGameVO> getGameRankingRechargeVO(IPage<GameRankingDTO> page, @Param("dto") GameRankingDTO dto);

    GameRankingRechargeGameVO getTodayMoney(@Param("gameId") String gameId, @Param("now") LocalDate now, @Param("sysUserId") Long sysUserId);
}
