package com.zanxiang.game.data.serve.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.data.serve.pojo.dto.GameOrderDetailDTO;
import com.zanxiang.game.data.serve.pojo.entity.GameOrder;
import com.zanxiang.game.data.serve.pojo.vo.GameOrderDetailVO;
import com.zanxiang.game.data.serve.pojo.vo.OrderDetailVO;
import com.zanxiang.game.data.serve.pojo.vo.TotalDataVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * t_game_order Mapper 接口
 * </p>
 *
 * @author auto
 * @since 2022-12-08
 */
public interface GameOrderMapper extends BaseMapper<GameOrder> {

    IPage<OrderDetailVO> getOrderDetail(@Param("page") IPage<GameOrder> page, @Param("dto") GameOrderDetailDTO dto);

    TotalDataVO getAmountSum(@Param("dto") GameOrderDetailDTO dto);
}
