package com.zanxiang.game.data.serve.dao.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.data.serve.pojo.dto.GameRankingDTO;
import com.zanxiang.game.data.serve.pojo.entity.GameUserStatDay;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zanxiang.game.data.serve.pojo.vo.GameRankingRechargeUserVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * t_game_user_stat_day Mapper 接口
 * </p>
 *
 * @author auto
 * @since 2022-12-13
 */
public interface GameUserStatDayMapper extends BaseMapper<GameUserStatDay> {

    IPage<GameRankingRechargeUserVO> getGameUserRankingRechargeVO(IPage<GameRankingDTO> page, @Param("dto") GameRankingDTO dto);
}
