package com.zanxiang.game.data.serve.dao.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.game.data.serve.pojo.dto.GamePromoteDTO;
import com.zanxiang.game.data.serve.pojo.entity.PromoteAgentStatDay;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zanxiang.game.data.serve.pojo.vo.GamePromoteVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 游戏推广渠道日报表 Mapper 接口
 * </p>
 *
 * @author auto
 * @since 2023-01-04
 */
public interface PromoteAgentStatDayMapper extends BaseMapper<PromoteAgentStatDay> {

    IPage<GamePromoteVO> getDayDate(IPage<PromoteAgentStatDay> toPage, @Param("dto") GamePromoteDTO dto);
}
