package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameRankingDTO extends BasePage<GameRankingDTO> implements Serializable {
    private static final long serialVersionUID = 1L;

    private LocalDate beginDay;

    private LocalDate endDay;
}
