package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GameConditionVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(notes = "主键id")
    private String id;

    @ApiModelProperty(notes = "名称")
    private String name;
}
