package com.zanxiang.game.module.manage.pojo.enums;

import lombok.Getter;

@Getter
public enum AccountTypeEnum {
    TENCENT(1),
    BYTE(2);

    private final Integer value;

    AccountTypeEnum(Integer value) {
        this.value = value;
    }

    public static AccountTypeEnum getByValue(Integer value) {
        if (value == null) {
            return null;
        }
        for (AccountTypeEnum accountType : AccountTypeEnum.values()) {
            if (accountType.getValue().equals(value)) {
                return accountType;
            }
        }
        return null;
    }
}
