package com.zanxiang.game.module.sdk.pojo.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2023-01-03
 * @description : 微信code授权登录小程序
 */
@Data
public class LoginVxCodeParam {

    /**
     * 微信授权code
     */
    @ApiModelProperty(notes = "微信授权code")
    @NotBlank(message = "微信授权code不可为空")
    private String code;

    /**
     * 分享用户id
     */
    @ApiModelProperty(notes = "分享用户id")
    private Long shareUserId;
}
