package com.zanxiang.game.module.sdk.pojo.result;

import lombok.Data;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-10-08
 * @description : 实名认证结果
 */
@Data
public class CardCheckResult {

    /**
     * 消息
     */
    private String message;

    /**
     * 返回码
     */
    private String code;

    /**
     * 结果
     */
    private String data;

    public boolean isSuccess() {
        return Objects.equals(this.code, "0000");
    }

    public boolean isPast() {
        return Objects.equals(this.data, "一致");
    }
}
