package com.zanxiang.game.module.sdk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.GamePayStrategy;
import com.zanxiang.game.module.sdk.pojo.param.UserData;

/**
 * 游戏策略 服务类接口
 *
 * @author xufeng
 * @date 2022-07-01 11:38
 */
public interface IGamePayStrategyService extends IService<GamePayStrategy> {

    /**
     * 支付策略
     *
     * @param user 用户
     * @return {@link Boolean}
     */
    Boolean paySwitch(UserData user);
}
